image: alpine

stages:
    - env
    - chek_res
    - test
    - package

cache: #настройка кэша
    paths:
        - cache_folder 

env:
    stage: env
    script: env

chek_hdd:
    only: 
        - master
    image: debian
    stage: chek_res
    script: df -h

chek_ram:
    only: 
        - master
    image: ubuntu
    stage: chek_res
    script: free -mh

chek_cpu:
    only: 
        - master
    #image: ubuntu:14.04
    stage: chek_res
    script: 
        - nproc
        - lscpu
    allow_failure: true


job_ernar:
    only: 
        - master
    stage: test
    script: 
        - cat file1.txt file2.txt | grep -q 'Hello world'
        - mkdir -p cache_folder 2> /dev/null
        - cat file1.txt file2.txt > cache_folder/cache.txt #создаем кэш

create_package:
    image: ubuntu
    stage: package
    before_script:
        - apt update
        - apt install git -y
    script:
        - ls -l  #проверка кэша
        - cat file1.txt file2.txt | gzip > package.gz
    artifacts:
        paths:
          - package.gz
        expire_in: 1 hour
